## opensaml 3.0.1

=== debian/changelog ===
opensaml (3.0.1-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: CPPOST-126 - Simple signature verification fails to
    detect parameter smuggling (LP: #2103420)
    - debian/patches/lp2103420-forging.patch: address parameter smuggling.
      Patch from upstream commit 22a610b322e2178abd03e97cdbc8fb50b45efaee,
      thanks to Scott Cantor
    - No CVE number

 -- Tom Andrew <tom.andrew@york.ac.uk>  Tue, 18 Mar 2025 16:24:50 +0000

opensaml (3.0.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:09:09 +0100

opensaml (3.0.1-1) unstable; urgency=medium

  * [d1daef5] Revert "Temporarily ignore build test failures"
  * [792ec83] New upstream release: 3.0.1
  * [dd69be3] Delete released patch fixing the tests, refresh the rest
  * [5ec41bf] Update Standards-Version to 4.3.0 (no changes required)
  * [38ff832] Update library version number in Lintian override

 -- Ferenc Wágner <wferi@debian.org>  Sat, 16 Mar 2019 20:36:55 +0100

opensaml (3.0.0-2) unstable; urgency=medium

  * [eb1b88f] New patch: CPPOST-110 Rebenchmark tests with SHA256 disgest.
    Thanks to Rod Widdowson
  * [2704b86] New patch: testBadSig requires fresh InCommon metadata
  * [a8a62a4] Update Standards-Version to 4.2.1 (no changes required)
  * Upload to unstable

 -- Ferenc Wágner <wferi@debian.org>  Sun, 25 Nov 2018 11:26:24 +0100

opensaml (3.0.0-1) experimental; urgency=medium

  [ Russ Allbery ]
  * [9fdb478] Remove myself from Uploaders

  [ Etienne Dysli Metref ]
  * [eedef99] Migrate VCS URLs to salsa.debian.org/shib-team

  [ Ferenc Wágner ]
  * [13a968c] Use the 'replace' merge mode.
    The debian directory is not upstream territory, so this is safer.
    Unrelated change: the pristine-tar option is generic.
  * [42aa2bf] Update Standards-Version to 4.1.5 (no changes required)
  * [e825ff7] Revert "Provide a GCC 7 build with strict enough shlibs"
    The GCC7 switchover is long done, this constraint isn't needed anymore.
  * [9639147] Switch to Debhelper compat level 11
  * [934499b] Stop repeating the common part of the package descriptions
  * [bfbd108] Multiarch doesn't need Pre-Depends anymore
  * [7ebea10] New upstream release: 3.0.0
  * [d6dda65] Remove upstreamed patches, refresh the remaining one
  * [2b541f0] Rename library package according to the new soversion
  * [5cf0582] Shibboleth SP 3 requires XML-Security 2 and log4shib 2
  * [b9355a2] We do not ship the libtool archive files
  * [b4a16f4] Update debian/copyright
  * [26bae95] Update Standards-Version to 4.2.0 (no changes required)
  * [e2bd25f] Temporarily ignore build test failures
  * [fea0e7e] Rework compiler flag handling in configure.
    This enables debug info generation and optimization by default, and also
    makes the --enable-debug option uninteresting for Debian.
  * [d144f73] Clean up trailing whitespace in debian/changelog
  * [5cef4c3] Lintian does not emit embedded-javascript-library for Doxygen
    anymore
  * [f3941fe] Revert "Build-Depend explicitly on automake"
    We now require Debhelper compatibility level 11, which pulls in automake
    only, not automaken.
  * [fd52caa] Drop the 2 suffix from package names and reorganize documentation.
    With the release of OpenSAML 3 version 2 became unsupported, so it looks
    unlikely we'll ever need to package two major versions concurrently.
    Thus we're removing the version number suffix from the package names.
    The new libsaml-doc does not break and replace the old libsaml2-doc,
    because at the same time we move the HTML API documentation shipped in
    libsaml-doc under usr/share/doc/libsaml-dev as recommended by Policy:
    this location is independent of the current dev/doc packaging split.  In
    the same vein we use libsaml-api as the document ID for doc-base.
  * [6d1906c] Add Lintian overrides for descriptions of transitional packages
  * [1735df8] I don't plan to provide a symbols file

 -- Ferenc Wágner <wferi@debian.org>  Wed, 08 Aug 2018 15:52:32 +0200

opensaml2 (2.6.1-1) unstable; urgency=high

  * [0c08870] New upstream release (2.6.1)
    Security fix for CVE-2017-16853:
    Rod Widdowson of Steading System Software LLP discovered a coding error in
    the OpenSAML library, causing the DynamicMetadataProvider class to fail
    configuring itself with the filters provided and omitting whatever checks
    they are intended to perform.
  * [0795c42] Refresh our patches
  * [1f742ec] Update Standards-Version to 4.1.1 (no changes needed)
  * [5bed74f] Bump XMLTooling dependency version to 1.6.
    This isn't strictly required, but the stack is always updated in
    lockstep, so why not follow the upstream spec file in this respect.

 -- Ferenc Wágner <wferi@debian.org>  Mon, 20 Nov 2017 10:46:24 +0100

opensaml2 (2.6.0-5) unstable; urgency=medium

  [ Etienne Dysli Metref ]
  * [2268d5d] Add myself to uploaders

  [ Ferenc Wágner ]
  * [7051f39] Provide a GCC 7 build with strict enough shlibs.
    The Shibboleth SP fails to build with GCC 7 with OpenSAML built with
    GCC 6, because libsaml9 embeds references to XMLTooling symbols names
    without ABI tags.  Build with GCC 7 to refresh these embedded symbols.
  * [eb53724] Follow upstream URL change in watch file
  * [255e281] Switch to using HTTPS in the debian/copyright URLs
  * [897e680] Update Standards-Version to 4.1.0.
    The "extra" priority became deprecated, promote to "optional".

 -- Ferenc Wágner <wferi@debian.org>  Sat, 09 Sep 2017 20:43:13 +0200

opensaml2 (2.6.0-4) unstable; urgency=medium

  * [848c048] Export pkgxmldir (the correct name) via pkg-config.
    And call it pkgxmldir instead of xmldir in the configure script.
    (Closes: #836921)

 -- Ferenc Wágner <wferi@debian.org>  Wed, 07 Sep 2016 11:45:23 +0200

opensaml2 (2.6.0-3) unstable; urgency=medium

  * [1b95816] Don't ship the .map files from Doxygen

