=== debian/control ===
Source: opensaml
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
Uploaders:
 Ferenc Wágner <wferi@debian.org>,
 Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
Build-Depends:
 cxxtest,
 debhelper (>= 11~),
 libboost-dev,
 liblog4shib-dev (>= 2~),
 libxerces-c-dev,
 libxml-security-c-dev (>= 2~),
 libxmltooling-dev (>= 3~),
 pkg-config,
 zlib1g-dev,
Build-Depends-Indep:
 doxygen,
 graphviz,
Standards-Version: 4.3.0
Homepage: https://wiki.shibboleth.net/confluence/display/OpenSAML/Home
Vcs-Git: https://salsa.debian.org/shib-team/opensaml2.git
Vcs-Browser: https://salsa.debian.org/shib-team/opensaml2
X-Common-Description: OpenSAML is an open source implementation of the OASIS
 Security Assertion Markup Language Specification. It contains a set of open
 source C++ classes that support the SAML 1.0, 1.1, and 2.0 specifications.

Package: libsaml10
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Security Assertion Markup Language library (runtime)
 ${S:X-Common-Description}
 .
 This package contains the files necessary for running applications that
 use the OpenSAML library.

Package: libsaml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsaml10 (= ${binary:Version}),
 libxmltooling-dev (>= 3~),
 zlib1g-dev,
 ${misc:Depends},
Suggests:
 libsaml-doc (= ${source:Version}),
Replaces:
 libsaml2-dev (<< 3~)
Breaks:
 libsaml2-dev (<< 3~)
Description: Security Assertion Markup Language library (development)
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use or extend the OpenSAML library.

Package: opensaml-tools
Section: text
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 opensaml2-tools (<< 3~)
Breaks:
 opensaml2-tools (<< 3~)
Description: Security Assertion Markup Language command-line tools
 ${S:X-Common-Description}
 .
 This package contains samlsign, a command-line tool for signing and
 verifying SAML assertions.

Package: opensaml-schemas
Section: text
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Replaces:
 opensaml2-schemas (<< 3~)
Breaks:
 opensaml2-schemas (<< 3~)
Description: Security Assertion Markup Language library (XML schemas)
 ${S:X-Common-Description}
 .
 This package contains the XML schema files used by the OpenSAML library.

Package: libsaml-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Security Assertion Markup Language library (API docs)
 ${S:X-Common-Description}
 .
 This package contains the OpenSAML library API documentation generated
 by Doxygen.

Package: libsaml2-dev
Section: oldlibs
Architecture: all
Depends:
 libsaml-dev,
 ${misc:Depends},
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: opensaml2-tools
Section: oldlibs
Architecture: all
Depends:
 opensaml-tools,
 ${misc:Depends},
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: opensaml2-schemas
Section: oldlibs
Architecture: all
Depends:
 opensaml-schemas,
 ${misc:Depends},
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libsaml2-doc
Section: oldlibs
Architecture: all
Depends:
 libsaml-doc,
 ${misc:Depends},
Description: transitional package
 This is a transitional package. It can safely be removed.
