## opensaml 3.1.0

=== debian/changelog ===
opensaml (3.1.0-2~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

  [ Ferenc Wágner ]
  * [989d836] Salsa-CI does not support stretch-backports-sloppy

  [ Etienne Dysli Metref ]
  * [643a7b9] Require Xerces-C 3.2
    (cherry picked from commit 2d488f25e39665e63c3c41943c0ba8a7ea8323c0)
  * [6474698] Specify debhelper compat level the old way.
    Keep debhelper compat level 12, but specify it the old way. Otherwise,
    the older lintian in stretch produces the error
    package-uses-debhelper-but-lacks-build-depends and other warnings
    related to debhelper.

 -- Ferenc Wágner <wferi@debian.org>  Wed, 05 Aug 2020 21:22:49 +0200

opensaml (3.1.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * [c385960] Salsa-CI: Set release to buster-backports.

 -- Etienne Dysli Metref <etienne.dysli-metref@switch.ch>  Mon, 20 Jul 2020 13:51:44 +0200

opensaml (3.1.0-2) unstable; urgency=medium

  * [a43c7ce] We transitioned to versionless package names in buster
  * [6ce2f94] Add forgotten link library to autopkgtest
  * [428228d] Work around our Debian patch in the autopkgtest
  * [03750bb] New patch: Move testHTTPProvider to the front
  * Upload to unstable

 -- Ferenc Wágner <wferi@debian.org>  Wed, 24 Jun 2020 19:20:22 +0200

opensaml (3.1.0-1) experimental; urgency=medium

  * [9746b82] Don't single out the amd64 architecture in the Lintian override
  * [2f098f5] New upstream release: 3.1.0
  * [4257f38] Remove upstreamed patches (all of them)
  * [51829e5] Tests requiring network access are skipped by default now
  * [9a6d804] Rename library package for upstream SONAME bump
  * [ed81753] As an autopkgtest, build the unit tests against the installed
    package
  * [29e75c0] Enroll to basic Salsa CI
  * [ff1ebd5] Upgrade Standards-Version to 4.5.0 (no changes required)
  * [648c639] Switch to Debhelper compat level 12
  * [78f97bb] Enable rootless build
  * [cdfb5b0] New patch: Forgot to update xmltooling check.
    Thanks to Scott Cantor
  * [3d18a77] Require XMLTooling 3.1
  * [8883ee3] New patch: CPPOST-117 - Fix for failing test.
    Thanks to Scott Cantor
  * [983e213] Strip extra signatures from the upstream tarball signing key
  * [98f0715] Update packaging list email address

 -- Ferenc Wágner <wferi@debian.org>  Thu, 23 Apr 2020 17:54:51 +0200
