=== debian/control ===
Source: opensaml
Section: libs
Priority: optional
Maintainer: Debian Shib Team <pkg-shibboleth-devel@alioth-lists.debian.net>
Uploaders:
 Ferenc Wágner <wferi@debian.org>,
 Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
Build-Depends:
 cxxtest,
 debhelper (>= 12~),
 libboost-dev,
 liblog4shib-dev (>= 2~),
 libxerces-c-dev (>= 3.2~),
 libxml-security-c-dev (>= 2~),
 libxmltooling-dev (>= 3.1~),
 pkg-config,
 zlib1g-dev,
Build-Depends-Indep:
 doxygen,
 graphviz,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://wiki.shibboleth.net/confluence/display/OpenSAML/Home
Vcs-Git: https://salsa.debian.org/shib-team/opensaml2.git
Vcs-Browser: https://salsa.debian.org/shib-team/opensaml2
X-Common-Description: OpenSAML is an open source implementation of the OASIS
 Security Assertion Markup Language Specification. It contains a set of open
 source C++ classes that support the SAML 1.0, 1.1, and 2.0 specifications.

Package: libsaml11
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Security Assertion Markup Language library (runtime)
 ${S:X-Common-Description}
 .
 This package contains the files necessary for running applications that
 use the OpenSAML library.

Package: libsaml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsaml11 (= ${binary:Version}),
 libxmltooling-dev (>= 3.1~),
 zlib1g-dev,
 ${misc:Depends},
Suggests:
 libsaml-doc (= ${source:Version}),
Description: Security Assertion Markup Language library (development)
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use or extend the OpenSAML library.

Package: opensaml-tools
Section: text
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Security Assertion Markup Language command-line tools
 ${S:X-Common-Description}
 .
 This package contains samlsign, a command-line tool for signing and
 verifying SAML assertions.

Package: opensaml-schemas
Section: text
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Security Assertion Markup Language library (XML schemas)
 ${S:X-Common-Description}
 .
 This package contains the XML schema files used by the OpenSAML library.

Package: libsaml-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Security Assertion Markup Language library (API docs)
 ${S:X-Common-Description}
 .
 This package contains the OpenSAML library API documentation generated
 by Doxygen.
