=== debian/tests/control ===
Depends: libsaml-dev,
  cxxtest,
  g++, make, pkg-config
Restrictions: allow-stderr
Tests: samltest
