## opensaml 3.2.0

=== debian/changelog ===
opensaml (3.2.0-2ubuntu1) impish; urgency=medium

  * Build using -std=gnu++14. Addresses: #984277.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Aug 2021 09:46:23 +0200

opensaml (3.2.0-2) unstable; urgency=medium

  * [4b3ae7f] Revert "New patch: Require XMLTooling 3.2 via pkg-config as well"
    This reverts commit 99cf9d42db5f552a43791459ce118dfec9a6485f.
    According to upstream there's no real build requirement here.
  * Upload to unstable

 -- Ferenc Wágner <wferi@debian.org>  Wed, 06 Jan 2021 10:41:14 +0100

opensaml (3.2.0-1) experimental; urgency=medium

  * [5697847] Bump watch file format version to 4
  * [a9a01ce] Advertise that our autopkgtest needs internet access
  * [2629b5a] New upstream release: 3.2.0
  * [f253903] All of our patches are upstream now
  * [1a8db85] Revert "Work around our Debian patch in the autopkgtest"
    We no longer carry the incriminated patch.
  * [6f3dabb] Depend on XMLTooling 3.2
  * [4408423] Rename library package for upstream SONAME bump
  * [473be6f] Update Standards-Version to 4.5.1 (no changes required)
  * [99cf9d4] New patch: Require XMLTooling 3.2 via pkg-config as well

 -- Ferenc Wágner <wferi@debian.org>  Sun, 27 Dec 2020 16:54:45 +0100
