=== debian/rules ===
#!/usr/bin/make -f

# Enable compiler hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CXXFLAGS_MAINT_APPEND = -std=gnu++14

%:
	dh $@

docdir = debian/tmp/usr/share/doc/opensaml-*
override_dh_install:
	cd $(docdir) && \
	    rm README.txt LICENSE.txt NOTICE.txt LOG4CPP.LICENSE
	# The tag file is unreproducible (it captures the full build path),
	# but is used as a "stamp" file during the build.
	cd $(docdir) && rm -f api/opensaml.tag api/html/*.md5 api/html/*.map
	dh_install

override_dh_installdocs:
	dh_installdocs -A doc/NOTICE.txt doc/README.txt

override_dh_missing:
	dh_missing --fail-missing -Xlibsaml.la
