## opensaml 3.2.1

=== debian/changelog ===
opensaml (3.2.1-3+deb12u1) bookworm-security; urgency=high

  * [b3e86fd] New patch: CPPOST-126 - Simple signature verification fails to
    detect parameter smuggling.
    Security fix cherry-picked from v3.3.1 (upstream commit
    22a610b322e2178abd03e97cdbc8fb50b45efaee).
    Parameter manipulation allows the forging of signed SAML messages
    =================================================================
    A number of vulnerabilities in the OpenSAML library used by the
    Shibboleth Service Provider allowed for creative manipulation of
    parameters combined with reuse of the contents of older requests
    to fool the library's signature verification of non-XML based
    signed messages.
    Most uses of that feature involve very low or low impact use cases
    without critical security implications; however, there are two
    scenarios that are much more critical, one affecting the SP and
    one affecting some implementers who have implemented their own
    code on top of our OpenSAML library and done so improperly.
    The SP's support for the HTTP-POST-SimpleSign SAML binding for
    Single Sign-On responses is its critical vulnerability, and
    it is enabled by default (regardless of what one's published
    SAML metadata may advertise).
    The other critical case involves a mistake that does *not*
    impact the Shibboleth SP, allowing SSO to occur over the
    HTTP-Redirect binding contrary to the plain language of the
    SAML Browser SSO profile. The SP does not support this, but
    other implementers may have done so.
    Contrary to the initial publication of this advisory, there is no
    workaround within the SP configuration other than to remove the
    "SimpleSigning" security policy rule from the security-policy.xml
    file entirely.
    That will also prevent support of legitimate signed requests or
    responses via the HTTP-Redirect binding, which is generally used
    only for logout messages within the SP itself. Removing support
    for that binding in favor of HTTP-POST in any published metadata
    is an option of course.
    Full advisory:
    https://shibboleth.net/community/advisories/secadv_20250313.txt
    Thanks to Scott Cantor (Closes: #1100464)

 -- Ferenc Wágner <wferi@debian.org>  Fri, 14 Mar 2025 21:47:50 +0100

opensaml (3.2.1-3) unstable; urgency=medium

  * [02e846c] Update Standards-Version to 4.6.2 (no changes required)
  * [455d86e] Update debian/* copyright year
  * [4314c52] Add debian/upstream/metadata

 -- Ferenc Wágner <wferi@debian.org>  Wed, 18 Jan 2023 19:21:05 +0100

opensaml (3.2.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * [4e9e337] Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on liblog4shib-dev and
      libxml-security-c-dev.
    Changes-By: deb-scrub-obsolete

  [ Ferenc Wágner ]
  * [ed49134] Update Standards-Version to 4.6.1 (no changes required)
  * [58344a4] Switch to Debhelper compatibility level 13
  * [634452b] Replace override_dh_{install,missing} with debian/not-installed
  * [086eed2] Suppress GCC deprecation warnings, they probably won't be heeded
  * [cb72407] Do not require cxxtest under the nocheck build profile.
    To enable crossbuilding.

 -- Ferenc Wágner <wferi@debian.org>  Fri, 22 Jul 2022 19:12:18 +0200

opensaml (3.2.1-1) unstable; urgency=medium

  * [b88df44] New upstream release: 3.2.1 (Closes: #997246)
  * [297fed7] Update Standards-Version to 4.6.0 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 20 Nov 2021 19:08:29 +0100
