=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
  Ferenc Wágner <wferi@debian.org>,
  Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
 Build-Depends:
- cxxtest,
- debhelper (>= 12~),
+ cxxtest <!nocheck>,
+ debhelper-compat (= 13),
  libboost-dev,
- liblog4shib-dev (>= 2~),
- libxerces-c-dev (>= 3.2~),
- libxml-security-c-dev (>= 2~),
- libxmltooling-dev (>= 3.1~),
+ liblog4shib-dev,
+ libxerces-c-dev,
+ libxml-security-c-dev,
+ libxmltooling-dev (>= 3.2~),
  pkg-config,
  zlib1g-dev,
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://wiki.shibboleth.net/confluence/display/OpenSAML/Home
 Vcs-Git: https://salsa.debian.org/shib-team/opensaml2.git
@@ -27,7 +27,7 @@
  Security Assertion Markup Language Specification. It contains a set of open
  source C++ classes that support the SAML 1.0, 1.1, and 2.0 specifications.
 
-Package: libsaml11
+Package: libsaml12
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -44,8 +44,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libsaml11 (= ${binary:Version}),
- libxmltooling-dev (>= 3.1~),
+ libsaml12 (= ${binary:Version}),
+ libxmltooling-dev (>= 3.2~),
  zlib1g-dev,
  ${misc:Depends},
 Suggests:
