=== debian/rules ===
#!/usr/bin/make -f

# Enable compiler hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# The Shibboleth project decided to replace the C++ SP code with JAVA
# remoting, so substantial changes probably won't happen, see
# https://shibboleth.atlassian.net/wiki/spaces/DEV/pages/2981429255/Service+Provider+V4+Redesign
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-deprecated-declarations

%:
	dh $@

override_dh_installdocs:
	dh_installdocs -A doc/NOTICE.txt doc/README.txt
