## opensaml 3.3.0

=== debian/changelog ===
opensaml (3.3.0-2ubuntu1) plucky; urgency=medium

  * SECURITY UPDATE: CPPOST-126 - Simple signature verification fails to
    detect parameter smuggling (LP: #2103420)
    - debian/patches/lp2103420-forging.patch: address parameter smuggling.
      Patch from upstream commit 22a610b322e2178abd03e97cdbc8fb50b45efaee,
      thanks to Scott Cantor
    - No CVE number

 -- Tom Andrew <tom.andrew@york.ac.uk>  Tue, 18 Mar 2025 16:24:50 +0000

opensaml (3.3.0-2) unstable; urgency=medium

  * [e2b06f5] This library is supported only as a part of the Shibboleth Project
  * Upload to unstable

 -- Ferenc Wágner <wferi@debian.org>  Sun, 12 Jan 2025 10:29:54 +0100

opensaml (3.3.0-1) experimental; urgency=medium

  * [31f1a14] New upstream release: 3.3.0
  * [2f23040] Adjust library package name to the new SO version
  * [eaba79f] Require XMLTooling 3.3
  * [7fdc8dc] pkgconf superseded pkg-config
  * [7d2345f] Update Standards-Version to 4.7.0 (no changes required)
  * [28c71d1] Update copyright years
  * [698b183] Remove Etienne Dysli Metref from Uploaders.
    Thanks for your work, Etienne, and best wishes for your future
    endeavors!
  * [663d7be] New patches to fix or ignore invalid test failures

 -- Ferenc Wágner <wferi@debian.org>  Wed, 25 Dec 2024 18:31:11 +0100

opensaml (3.2.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063100

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 12:48:43 +0000

opensaml (3.2.1-4) unstable; urgency=medium

  * [10d3658] Doxygen replaced some PNG graphics with SVG (Closes: #1052956)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 30 Sep 2023 11:20:33 +0200
