=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: opensaml
 Section: libs
 Priority: optional
-Maintainer: Debian Shib Team <pkg-shibboleth-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Shib Team <pkg-shibboleth-devel@alioth-lists.debian.net>
 Uploaders:
  Ferenc Wágner <wferi@debian.org>,
- Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  cxxtest <!nocheck>,
  debhelper-compat (= 13),
  libboost-dev,
  liblog4shib-dev,
  libxerces-c-dev,
  libxml-security-c-dev,
- libxmltooling-dev (>= 3.2~),
- pkg-config,
+ libxmltooling-dev (>= 3.3~),
+ pkgconf,
  zlib1g-dev,
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://wiki.shibboleth.net/confluence/display/OpenSAML/Home
 Vcs-Git: https://salsa.debian.org/shib-team/opensaml2.git
@@ -26,8 +26,9 @@
 X-Common-Description: OpenSAML is an open source implementation of the OASIS
  Security Assertion Markup Language Specification. It contains a set of open
  source C++ classes that support the SAML 1.0, 1.1, and 2.0 specifications.
+ It is supported only as a part of the Shibboleth Project.
 
-Package: libsaml12
+Package: libsaml13
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -44,8 +45,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libsaml12 (= ${binary:Version}),
- libxmltooling-dev (>= 3.2~),
+ libsaml13 (= ${binary:Version}),
+ libxmltooling-dev (>= 3.3~),
  zlib1g-dev,
  ${misc:Depends},
 Suggests:
