=== debian/tests/control ===
Depends: libsaml-dev,
  cxxtest,
  g++, make, pkgconf
Restrictions: allow-stderr,
  needs-internet,
Tests: samltest
