## opensaml 3.3.1

=== debian/changelog ===
opensaml (3.3.1-4) unstable; urgency=medium

  * [a919559] New patch: Extend test metadata/assertion validity to 2031
    (Closes: #1127130)
  * [5a74779] Update Standards-Version to 4.7.3 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 08 Feb 2026 20:11:05 +0100

opensaml (3.3.1-3) unstable; urgency=medium

  * [04d4a37] Use the pkgconf binary instead of the pkg-config symlink
  * [e73f5a0] New patch: Disable SHORT_NAMES in Doxygen to gain reproducibility

 -- Ferenc Wágner <wferi@debian.org>  Sun, 09 Nov 2025 15:08:29 +0100

opensaml (3.3.1-2) unstable; urgency=medium

  * [963c684] Update Standards-Version to 4.7.2 (no changes required)
  * [c09387e] New patch: Use the new InCommon metadata source (Closes: #1104213)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 27 Apr 2025 22:47:08 +0200

opensaml (3.3.1-1) unstable; urgency=high

  * High urgency for the security fix
  * [832b30a] New upstream release: 3.3.1 (Closes: #1100464)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 16 Mar 2025 14:41:33 +0100
