=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: opensaml
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Shib Team <pkg-shibboleth-devel@alioth-lists.debian.net>
+Maintainer: Debian Shib Team <pkg-shibboleth-devel@alioth-lists.debian.net>
 Uploaders:
  Ferenc Wágner <wferi@debian.org>,
 Build-Depends: dpkg-dev (>= 1.22.5),
@@ -18,7 +17,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://wiki.shibboleth.net/confluence/display/OpenSAML/Home
 Vcs-Git: https://salsa.debian.org/shib-team/opensaml2.git
